Finance
Issue (or return the open) Pix to settle a negative balance
selectkey<token>
API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/balance/debt-settlements"{
"object": "debt_settlement",
"id": "string",
"status": "pending",
"owedAtIssuance": 0,
"amount": 5000,
"paidAmount": 5000,
"refundedAmount": 5000,
"currency": "BRL",
"pix": {
"qrCodeEmv": "string"
},
"expiresAt": "string",
"paidAt": "string",
"createdAt": "string"
}{
"error": {
"status": "Unauthorized",
"statusCode": 401,
"category": "authentication",
"code": "unauthorized",
"message": "Authentication is required to access this resource.",
"resource": "server"
}
}{
"error": {
"status": "Forbidden",
"statusCode": 403,
"category": "authorization",
"code": "forbidden",
"message": "You do not have permission to perform this action.",
"resource": "server"
}
}{
"error": {
"status": "Not Found",
"statusCode": 404,
"category": "client",
"code": "notFound",
"message": "The requested resource was not found.",
"resource": "server"
}
}{
"error": {
"status": "Bad Request",
"statusCode": 400,
"category": "validation",
"code": "invalidParameters",
"message": "Validation errors occurred.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "serverError",
"message": "An unexpected error occurred. Please try again later.",
"resource": "server",
"details": "If the problem persists, contact support with the correlationId from the response headers."
}
}